Subject: Re: [patch net-next v2 10/10] rocker: implement L2 bridge offloading

From: Jamal Hadi Salim <[email-masked]>
Date: Sun, 09 Nov 2014 22:53:07 -0500

On 11/09/14 05:51, Jiri Pirko wrote:
> From: Scott Feldman <[email-masked]>
>
> Add L2 bridge offloading support to rocker driver.  Here, the Linux bridge
> driver is used to collect swdev ports into a tagged (or untagged) VLAN
> bridge.  The swdev will offload from the bridge driver the following L2
> bridging functions:
>
>   - Learning of neighbor MAC addresses on VLAN X  Learned mac/vlan is
> installed in bridge FDB.  (And removed when device unlearns mac/vlan).
> Learning must be turned off on each bridge port to disable the feature in
> the bridge driver.
>

I have quiet a few use cases where the above is a no-no. I dont want
learning of any sort (we have a knob for that in the bridge).
And i dont want learning in hardware to be reflected in software.
Basically this is a policy decision. Introduce a knob to choose whether
hardware learnt addresses should be reflected in software.

Have to run, but will comment when i get the time.

cheers,
jamal